### Method

# Gio SimpleAsyncResult complete_in_idle

deprecated: 2.46

#### Declaration [src]

    void
    g_simple_async_result_complete_in_idle (
      GSimpleAsyncResult* simple
    )

#### Description [src]

Completes an asynchronous function in an idle handler in the thread-default main context (see `g_main_context_push_thread_default()`) of the thread that `simple` was initially created in (and re-pushes that context around the invocation of the callback).

Calling this function takes a reference to `simple` for as long as is needed to complete the call.

Deprecated since: 2.46

Use `GTask` instead.